Skip to main content
POST
Error

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

X-App-Id
string
header
required
X-App-Token
string
header
required

Path Parameters

id
string
required

Unique program identifier.

Pattern: ^lprg_[a-f0-9]+$

Response

The deactivated program.

A loyalty program.

id
string

Unique program identifier.

Pattern: ^lprg_[a-f0-9]+$
name
string

Program name.

status
enum<string>

Program status.

Available options:
DRAFT,
ACTIVE,
INACTIVE,
DELETED
start_date
string<date-time> | null

Program validity start date (ISO 8601), or null when not set.

end_date
string<date-time> | null

Program validity end date (ISO 8601), or null when not set.

validity_hours
object

Validity hours configuration. Defaults to type ANY_TIME.

metadata
object

Arbitrary key-value metadata. Defaults to {}.

created_at
string<date-time>

Creation timestamp (ISO 8601).

updated_at
string<date-time> | null

Last update timestamp (ISO 8601), or null when never updated.

object
string

Object type marker.

Allowed value: "program"
Last modified on July 27, 2026